;==================================================
; 
; Kiwi initialization file
;

;--------------------------------------------------
;
; Size of main transposition table. Must be a power of two.
; Default size is 32M.
;
; ttable.size = 16M


;--------------------------------------------------
;
; Max size of pawn hash table.
;
; The actual size is decided at runtime: it will not exceed the specified value.
; Default size is 1M.
;
; pawntable.size = 1M


;--------------------------------------------------
;
; Piece values
;
; Note that even if the pawn value is configurable, there are many
; other parameters internal to the engine that have been tuned for a
; pawn value of 100. So, changing the pawn value will also partially
; affect the ratio between positional evaluation and material.
;
; Default sizes are 100, 325, 325, 500, 950.
;
; score.pawn = 100
; score.knight = 300
; score.bishop = 300
; score.rook = 500
; score.queen = 900


;--------------------------------------------------
;
; Search extensions.
;
; Extensions are expressed in plies or fractions, where one ply 
; has a value of 60. So for example 30 is half a ply, 45 is 
; three quarters of a ply and 75 is one full ply plus one quarter.
;
; At the beginning of the search, an initial extension bonus is granted
; as specified by the extend.init option, then for each ply searched
; the individual extensions are applied and add up but they will be always 
; limited to the maximum value specified in extend.plymax.
;
; extend.init = 45
; extend.plymax = 45
;
; The following control the amount of search extension applied when
; in check, when a pawn is pushed on the 2nd or 7th rank, and when a
; dangerous threat is detected.
;
; extend.check = 60
; extend.pawn7th = 60
; extend.threat = 30
; extend.recapture = 30
; extend.singlereply = 30


;--------------------------------------------------
;
; Search reductions (pruning).
;
; Futility pruning and razoring.
;
; prune.winning = 250
; prune.losing = 900
; prune.razoring = 700
;
; History-based.
;
; prune.h_selectivity = 80
;
; Null move.
;
; nullmove.mindepth = 240
; nullmove.rmin = 150
; nullmove.rmax = 240 


;--------------------------------------------------
;
; Resign threeshold: engine will resign if score drops below
; this threshold without improving for three consecutive moves.
;
; resign.threshold = -700


;--------------------------------------------------
;
; Time management.
;
; For now this entry is reserved for testing, please do NOT modify!
;
; time.score.control0 = 0
; time.score.control1 = 0
; time.score.control2 = 0
